Loading...
Searching...
No Matches
dvbt2_p1insertion_cc.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015,2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT2_P1INSERTION_CC_H
#define INCLUDED_DTV_DVBT2_P1INSERTION_CC_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/dtv/dvbt2_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Inserts a P1 symbol.
* \ingroup dtv
*
* Input: OFDM T2 frame. \n
* Output: OFDM T2 frame with P1 symbol.
*/
class DTV_API dvbt2_p1insertion_cc : virtual public gr::block
{
public:
typedef std::shared_ptr<dvbt2_p1insertion_cc> sptr;
/*!
* \brief Create a P1 symbol inserter.
*
* \param carriermode number of carriers (normal or extended).
* \param fftsize OFDM IFFT size.
* \param guardinterval OFDM ISI guard interval.
* \param numdatasyms number of OFDM symbols in a T2 frame.
* \param preamble P1 symbol preamble format.
* \param showlevels print peak IQ levels.
* \param vclip set peak IQ level threshold.
*/
static sptr make(dvbt2_extended_carrier_t carriermode,
dvbt2_fftsize_t fftsize,
dvb_guardinterval_t guardinterval,
int numdatasyms,
dvbt2_preamble_t preamble,
dvbt2_showlevels_t showlevels,
float vclip);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT2_P1INSERTION_CC_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvbt2_p1insertion_cc
Inserts a P1 symbol.
Definition dvbt2_p1insertion_cc.h:28
gr::dtv::dvbt2_p1insertion_cc::sptr
std::shared_ptr< dvbt2_p1insertion_cc > sptr
Definition dvbt2_p1insertion_cc.h:30
gr::dtv::dvbt2_p1insertion_cc::make
static sptr make(dvbt2_extended_carrier_t carriermode, dvbt2_fftsize_t fftsize, dvb_guardinterval_t guardinterval, int numdatasyms, dvbt2_preamble_t preamble, dvbt2_showlevels_t showlevels, float vclip)
Create a P1 symbol inserter.
dvb_config.h
dvbt2_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv::dvbt2_fftsize_t
dvbt2_fftsize_t
Definition dvbt2_config.h:43
gr::dtv::dvb_guardinterval_t
dvb_guardinterval_t
Definition dvb_config.h:102
gr::dtv::dvbt2_extended_carrier_t
dvbt2_extended_carrier_t
Definition dvbt2_config.h:30
gr::dtv::dvbt2_preamble_t
dvbt2_preamble_t
Definition dvbt2_config.h:35
gr::dtv::dvbt2_showlevels_t
dvbt2_showlevels_t
Definition dvbt2_config.h:101
gr
GNU Radio logging wrapper.
Definition basic_block.h:29